// opal -- online learning with kernel slicing
//  $Id: opal_conf.h 568 2011-08-29 12:40:49Z ynaga $
// Copyright (c) 2009-2011 Naoki Yoshinaga <ynaga@tkl.iis.u-tokyo.ac.jp>
#ifndef OPAL_CONFIG_H
#define OPAL_CONFIG_H
// configure options for opal

// use TR1 unordered_map / unordered_set for map / set type
// EFFECT: slightly speeding up the training
//         must be set when you set USE_HASH_TRIE
#ifndef USE_HASH
#define USE_HASH
#endif

// use TR1 mt19937 for shuffling examples instead of XorShift
// EFFECT: safer shuffling (not bottleneck, though)
// #define USE_MT

// use map or TR1 unordered_map to implement weight trie and partial margin trie
// EFFECT: improve the portablilty of pa.h (independent of cedar.h)
// #define USE_HASH_TRIE // 1.5-2 times slower; set USE_HASH as well
// #define USE_MAP_TRIE  // even more slower; unset USE_HASH as well

// use RDTSC to compute timinigs
// EFFECT: report training and test time (overhead is negligible)
//         disable this options improves pa.h portability
//
// #ifndef USE_TIMER
// #define USE_TIMER
// #endif

#endif /* OPAL_CONFIG_H */
